Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Interface Container

All Superinterfaces:
  SourceLocator

All Known Subinterfaces:
  XPathStaticContext

All Known Implementing Classes:
  AbsentExtensionElement, Adjust, Aggregate, AnalyzeString, AnalyzeStringFunction, ApplyImports, ApplyTemplates, ArithmeticExpression, ArithmeticExpression10, Assign, Assignation, AtomicSequenceConverter, Atomizer, AttributeSet, Available, AxisExpression, BaseURI, BinaryExpression, Block, BooleanExpression, BooleanFn, CallTemplate, CardinalityChecker, CastableExpression, CastExpression, Choose, CodepointEqual, CodepointsToString, CollatingFunction, Collection, Comment, Compare, CompareToIntegerConstant, CompileTimeFunction, Component, ComputedAttribute, ComputedElement, Concat, Contains, ContextItemExpression, Copy, CopyOf, Current, CurrentDateTime, CurrentGroup, CurrentItemExpression, Data, DateTimeConstructor, DeepEqual, DefaultCollation, DistinctValues, Doc, DocAvailable, Doctype, Document, DocumentInstr, DocumentSorter, DynamicFunction, DynamicFunctionCall, EagerLetExpression, ElementCreator, Error, ErrorExpression, EscapeURI, Evaluate, Existence, Expression, ExtensionFunctionCall, ExtensionInstruction, FilterExpression, Find, FirstItemExpression, FixedAttribute, FixedElement, ForceCase, ForEach, ForEachGroup, ForEachGroupFunction, ForExpression, FormatDate, FormatNumber2, FunctionCall, GeneralComparison, GeneralComparison10, GeneralComparisonSA, GeneralVariable, GlobalParam, GlobalVariable, Id, IdentityComparison, IDPattern, Idref, IfExpression, IndependentContext, Index, IndexedFilterExpression, IndexedLookupExpression, IndexOf, InScopePrefixes, Insert, InstanceOfExpression, Instruction, IntegerRangeTest, IsLastExpression, ItemChecker, JAXPXPathStaticContext, KeyDefinition, KeyFn, KeyPattern, Lang, Last, LazyExpression, LetExpression, Literal, LiteralResultElement, LocalParam, LocalVariable, LocalVariableReference, LocationPathPattern, Matches, Message, Minimax, NamePart, Namespace, NamespaceForPrefix, NegateExpression, NextMatch, Nilled, NodeTestPattern, NormalizeSpace, NormalizeUnicode, NumberFn, NumberInstruction, NumericPromoter, ParentNodeConstructor, ParentNodeExpression, Parse, PathExpression, Pattern, PatternMatchExpression, PatternSponsor, Position, PositionRange, Procedure, ProcessingInstruction, QNameFn, QuantifiedExpression, QuerySimpleContentConstructor, RangeExpression, RegexGroup, Remove, Replace, ResolveQName, ResolveURI, ResultDocument, Reverse, Reverser, Root, RootExpression, Rounding, SaxonAssign, SaxonCallTemplate, SaxonCollation, SaxonDoctype, SaxonEntityRef, SaxonImportQuery, SaxonScript, SaxonWhile, Serialize, SimpleContentConstructor, SimpleExpression, SimpleMappingExpression, SimpleNodeConstructor, SingleNodeExpression, SingletonAtomizer, SingletonComparison, SliceExpression, SortExpression, SQLClose, SQLColumn, SQLConnect, SQLDelete, SQLInsert, SQLQuery, SQLUpdate, StaticBaseURI, StreamingCopy, StringFn, StringJoin, StringLength, StringLiteral, StringToCodepoints, StyleElement, Subsequence, Substring, SuppliedParameterReference, SystemFunction, SystemProperty, TailCallLoop, TailExpression, Template, Tokenize, Trace, TraceExpression, TraceInstruction, TraceWrapper, Translate, TreatFn, Try, TupleExpression, TupleSorter, UnaryExpression, UnionPattern, Unordered, UnparsedEntity, UnparsedText, UntypedAtomicConverter, UseAttributeSets, UserFunction, UserFunctionCall, ValueComparison, ValueOf, VariableReference, VennExpression, While, WithParam, XPathFunctionCall, XQueryExpression, XQueryFunction, XSLAnalyzeString, XSLApplyImports, XSLApplyTemplates, XSLAttribute, XSLAttributeSet, XSLCallTemplate, XSLCharacterMap, XSLChoose, XSLComment, XSLCopy, XSLCopyOf, XSLDecimalFormat, XSLDocument, XSLElement, XSLFallback, XSLForEach, XSLForEachGroup, XSLFunction, XSLGeneralIncorporate, XSLGeneralVariable, XSLIf, XSLImport, XSLImportSchema, XSLInclude, XSLKey, XSLMatchingSubstring, XSLMessage, XSLNamespace, XSLNamespaceAlias, XSLNextMatch, XSLNumber, XSLOtherwise, XSLOutput, XSLOutputCharacter, XSLParam, XSLPerformSort, XSLPreserveSpace, XSLProcessingInstruction, XSLResultDocument, XSLSequence, XSLSort, XSLStringConstructor, XSLStylesheet, XSLTemplate, XSLText, XSLValueOf, XSLVariable, XSLVariableDeclaration, XSLWhen, XSLWithParam

    public interface Container

extends SourceLocator

A Container is something that can act as the parent of an expression. It is either an expression that can have subexpressions (which rules out Values), or an object such as a function, a template, or an attribute set that is not itself an expression but that can contain expressions

Method Summary
`Executable` | `getExecutable()` Get the Executable (representing a complete stylesheet or query) of which this Container forms part
`int` | `getHostLanguage()` Get the host language (XSLT, XQuery, XPath) used to implement the code in this container
`LocationProvider` | `getLocationProvider()` Get the LocationProvider allowing location identifiers to be resolved.
`boolean` | `replaceSubExpression(Expression original, Expression replacement)` Replace one subexpression by a replacement subexpression

Methods inherited from interface javax.xml.transform.SourceLocator
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Method Detail

### getExecutable

    Executable getExecutable()

  Get the Executable (representing a complete stylesheet or query) of which this Container forms part

### getLocationProvider

    LocationProvider getLocationProvider()

  Get the LocationProvider allowing location identifiers to be resolved.

### getHostLanguage

    int getHostLanguage()

  Get the host language (XSLT, XQuery, XPath) used to implement the code in this container

  Returns:
    typically `Configuration.XSLT` or `Configuration.XQUERY`

### replaceSubExpression

    boolean replaceSubExpression(Expression original,
                                 Expression replacement)

  Replace one subexpression by a replacement subexpression

  Parameters:
    `original` - the original subexpression
    `replacement` - the replacement subexpression
  Returns:
    true if the original subexpression was found

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.